<template>
  <frame :modal="modal" dimmed>
    <headline :color="modal.color">{{ modal.title }}</headline>

    <div class="mx-8">
      <slot>{{ modal.description }}</slot>
    </div>

    <actions>
      <action
        @click="action.handle(modal)"
        v-for="action of modal.actions"
        :key="action.label"
        :primary="action.primary"
        :color="action.color"
        >{{ action.label }}</action
      >
    </actions>
  </frame>
</template>

<script lang="ts">
import { ModalComponents } from "@/use/modal";
import { QuickModal } from ".";

export default {
  components: { ...ModalComponents },
  props: {
    modal: {
      type: QuickModal,
      required: true
    }
  },
  setup(props, context) {
    return {};
  }
};
</script>
